Subject: bug#1339: flyspell-buffer extraneous message to messages buffer

From: Xah Lee <[email-masked]>
Date: Fri, 8 Jul 2011 15:48:24 -0700

i think it was on the mac. Carbon emacs. aspell i think. utf-8
encoding. It was a html file. Isn't this a 2 years old bug?

On Fri, Jul 8, 2011 at 1:10 AM, Agustin Martin
<[email-masked]> wrote:
> On Thu, Jul 07, 2011 at 10:28:05PM +0200, Lars Magne Ingebrigtsen wrote:
>> xah lee <[email-masked]> writes:
>>
>> > flyspell-buffer will create a error/warning messages in *Messages*
>> > buffer for words that ether contains unicode, or html such as ?href?,
>> > or words containing apostrophe. Each of these shouldn't occure as
>> > error/warning messages.
>> >
>> > e.g.:
>> >
>> >  -> href - 1770: word not found
>> >  -> Youngbloodz - 1765: word not found
>
> (flyspell-external-point-words) first looks for a list of misspellings in
> the document and later walks through the list, running (flyspell-word) on
> each misspelling.
>
> Those messages should only appear for words listed as misspellings by
> spellchecker, but not found later in actual text, which is strange and
> signalled. Which spellchecker, document encoding and dictionary are you
> using?
>
> A minimal document showing that behavior should also be useful,
>
> Regards,
>
> --
> Agustin
>